{% extends 'base.html.twig' %}

{% block headtitle %}
    {{ msg('search') }} ::
{% endblock %}

{% block main %}

<h1>{{ msg('search') }}</h1>

<p>{{ msg( 'result-count', [ results|length|number_format ] ) }}</p>

<ol>
    {% for result in results %}
        <li class="mb-4">
            <strong>
                {% if result.matched == 'title' or result.matched == 'description' %}
                    <a href="{{ path( 'page', { tool:result.tool_name, lang:result.lang } ) }}">
                        {{ result.title }}
                    </a>
                {% elseif result.matched == 'contents' %}
                    {{ result.title }}:
                    <a href="{{ path( 'page', { tool:result.tool_name, lang:result.lang, version:result.version, path:result.path } ) }}">
                        {{result.path|capitalize}}
                    </a>
                {% endif %}
            </strong>
            ({{ result.version }})
            {% if result.matched == 'contents' %}
                <p>{{ result.context }}</p>
            {% else %}
                <p>{{ result.description }}</p>
            {% endif %}
        </li>
    {% endfor %}
</ol>

{% endblock %}
